import { TTLParser } from "../ttl.js";
import type { SessionRepository, RepositoryOption } from "./strategy.js";
export declare class InMemorySessionRepository<Session> implements SessionRepository<Session> {
    #private;
    private static sessions;
    name: string;
    constructor(options: RepositoryOption);
    ttl(): TTLParser;
    exists(sessionKey: string): Promise<boolean>;
    initializeSession(sessionKey: string): Promise<void>;
    loadValue(sessionKey: string): Promise<Session | null>;
    storeValue(sessionKey: string, value: Session): Promise<void>;
    destroySession(sessionKey: string): Promise<void>;
    purgeExpired(): Promise<void>;
}
